> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/client/view-client/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # View a Client GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/clients Retrieve details about your platform registered with Mangopay Reference: https://docs.mangopay.com/api-reference/client/view-client ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. ## Response ### 200 Success - `PlatformType` (string, optional) — Type of the platform. This field has been replaced by the `PlatformCategorization` object. - `ClientId` (string, optional) — The unique identifier associated with the API key, giving access to either the Sandbox or Production environment. - `Name` (string, optional) — The trading name of the company operating the platform, shown on Mangopay-hosted webpages such as the [SCA session](/guides/sca/factors#customization) and the [hosted KYC/KYB session](/guides/users/verification/hosted#branding). - `RegisteredName` (string, optional) — The registered legal name of the company operating the platform. - `TechEmails` (list of string, optional) — Format: Emails must be ≤ 40 characters List of email addresses to contact the platform for technical matters. Important: If the email length exceeds 40 characters, it will be be impossible to process some payments. - `AdminEmails` (list of string, optional) — List of email addresses to contact the platform for administrative or commercial matters. - `BillingEmails` (list of string, optional) — List of email addresses to contact the platform for billing matters. - `FraudEmails` (list of string, optional) — List of email addresses to contact the platform for fraud and compliance matters. - `HeadquartersAddress` (Address, optional) — The postal address. - `HeadquartersPhoneNumber` (string, optional) — Max. length: 15 characters; international telephone numbering plan E.164 (+ followed by the country code, then the number) The phone number of the platform operator's headquarters. - `TaxNumber` (string, optional) — The tax (or VAT) number for the company operating the platform. - `PlatformCategorization` (ClientResponsePlatformCategorization, optional) — The categorization of the platform in terms of business and sector of activity. - `PlatformURL` (string, optional) — The URL of the platform's website. - `PlatformDescription` (string, optional) — Max. length: 2,000 characters The description of what the platform does. - `CompanyReference` (string, optional) — The unique reference for the platform, which should be used when contacting Mangopay. - `PrimaryThemeColour` (string, optional) — Format: Hex color code The color used in accent highlights and icon elements on Mangopay-hosted webpages, such as for [SCA](/guides/sca/factors#customization) and [hosted KYC/KYB](/guides/users/verification/hosted#branding). - `PrimaryButtonColour` (string, optional) — Format: Hex color code The color used for call-to-action (CTA) buttons on Mangopay-hosted webpages, such as for [SCA](/guides/sca/factors#customization) and [hosted KYC/KYB](/guides/users/verification/hosted#branding). - `Logo` (string, optional) — The URL of the platform's logo. - `CompanyNumber` (string, optional) — The registration number of the company operating the platform, assigned by the relevant national authority. - `MCC` (string, optional) — 4-digit merchant category code. The MCC is used to classify a business by the types of goods or services it provides. - `Licensor` (string, optional) — Possible values: `EU`, `UK` The licensor of the platform's company account, indicating the Mangopay entity the platform contracted with: - `EU` – Mangopay S.A. - `UK` – Mangopay U.K. Ltd. ## Types ### Address The postal address. - `AddressLine1` (string, optional) — The first line of the address. - `AddressLine2` (string, optional) — The second line of the address. - `City` (string, optional) — The city of the address. - `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address. - `PostalCode` (string, optional) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ### ClientResponsePlatformCategorization The categorization of the platform in terms of business and sector of activity. - `BusinessType` (string, optional) — The business type of the platform. - `Sector` (string, optional) — The sector of activity of the platform. ## Examples **Response** ```json { "PlatformType": null, "ClientId": "example-client-id", "Name": "PlatformTradingName", "RegisteredName": "Platform operator's legally registered name", "TechEmails": [ "platform-tech@example.com" ], "AdminEmails": [ "platform-payments@example.com" ], "BillingEmails": [ "platform-accounting@example.com" ], "FraudEmails": [ "platform-disputes@example.com" ], "HeadquartersAddress": { "AddressLine1": "100 rue des Plantes", "AddressLine2": null, "City": "Paris", "Region": "Ile de France", "PostalCode": "12345", "Country": "FR" }, "HeadquartersPhoneNumber": "+33123456789", "TaxNumber": "12345678", "PlatformCategorization": { "BusinessType": "MARKETPLACE", "Sector": "RENTALS" }, "PlatformURL": "http://example.com", "PlatformDescription": "Example description of your platform's business activity", "CompanyReference": "comp_01HYDEAFS3XY4551TZHWW32RC5", "PrimaryThemeColour": "#867EFF", "PrimaryButtonColour": "#89E481", "Logo": "https://res.cloudinary.com/mangopay-dev/image/upload/v1772722797/mrebvcrkjgxnguvoelgj.png", "CompanyNumber": "00000000000000000000", "MCC": "7519", "Licensor": "EU" } ```